Bug 1628497 - gnome-software shows upgrade banner for Fedora 28 instead of Fedora 29
Summary: gnome-software shows upgrade banner for Fedora 28 instead of Fedora 29
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software   
(Show other bugs)
Version: 27
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedPreviousRelease https://fedor...
Keywords: CommonBugs
Depends On:
Blocks: F29FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2018-09-13 09:10 UTC by Kamil Páral
Modified: 2018-10-20 23:51 UTC (History)
5 users (show)

Fixed In Version: gnome-software-3.28.2-3.fc27 gnome-software-3.28.2-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-10 21:54:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kamil Páral 2018-09-13 09:10:18 UTC
Description of problem:
I've been following this test case:
https://fedoraproject.org/wiki/QA:Testcase_upgrade_gnome-software_previous_workstation

On an installed Fedora 27 Workstation, gnome-software shows me a banner "Fedora 28 now available" instead of offering me Fedora 29. 

I've enabled using pre-release versions:

$ gsettings get org.gnome.software show-upgrade-prerelease 
true

and rebooted, per instructions. Hitting the refresh button in gnome-software doesn't help.

In ~/.cache/gnome-software/fedora-pkgdb-collections/fedora.json I see:
    {
      "allow_retire": true,
      "branchname": "f29",
      "date_created": "2018-08-14 17:05:18",
      "date_updated": "2018-08-14 17:05:19",
      "dist_tag": ".fc29",
      "koji_name": "f29",
      "name": "Fedora",
      "status": "Under Development",
      "version": "29"
    },
so the file seems correct.

This again seems to be a bug in gnome-software (and I have a feeling we deal with this every single release).

Version-Release number of selected component (if applicable):
gnome-software-3.28.2-1.fc27.x86_64
PackageKit-1.1.10-1.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1. follow the test case

Actual results:
gnome-software offers upgrade to F28

Expected results:
gnome-software offers upgrade to F29

Comment 1 Kamil Páral 2018-09-13 09:11:59 UTC
Proposing as a beta blocker:
"For each one of the release-blocking package sets, it must be possible to successfully complete a direct upgrade from a fully updated, clean default installation of each of the last two stable Fedora releases with that package set installed."
https://fedoraproject.org/wiki/Fedora_29_Beta_Release_Criteria#Upgrade_requirements

Comment 2 Adam Williamson 2018-09-13 18:15:19 UTC
I reproduced this, but I also managed to get it to show F29 by hacking F28 out of the cached JSON. I think for Beta it's probably OK to say 'do that, or use dnf'; for Final we should ensure F27 is fixed. So I'm -1 for Beta, +1 (as a PreviousReleaseBlocker) for Final.

Comment 3 Adam Williamson 2018-09-14 04:06:20 UTC
Discussed at 2018-09-13 Fedora 29 Beta Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2018-09-13/f29-beta-go_no_go-meeting.2018-09-13-17.00.html . As there are several plausible workarounds here, we decided it would be acceptable to document those for Beta - both for people who specifically want to test the graphical upgrade from F27 to F29, and those who just want to get from F27 to F29 *somehow* - but this should be fixed for the Final release. Thus it is accepted as a PreviousRelease blocker for Final, which means this must work in stable F27 by F29 release date.

Comment 4 Kalev Lember 2018-10-08 09:45:36 UTC
Upstream fixes: https://gitlab.gnome.org/GNOME/gnome-software/merge_requests/110

Comment 5 Fedora Update System 2018-10-08 12:10:39 UTC
gnome-software-3.28.2-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-327b1ddb05

Comment 6 Fedora Update System 2018-10-08 12:10:48 UTC
gnome-software-3.28.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-55e6403eab

Comment 7 Kamil Páral 2018-10-08 12:56:12 UTC
(In reply to Fedora Update System from comment #5)
> gnome-software-3.28.2-3.fc27 has been submitted as an update to Fedora 27.
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-327b1ddb05

I verified this fixes the problem.

Comment 8 Julen Landa Alustiza 2018-10-08 13:14:32 UTC
Fixed here too

Comment 9 Fedora Update System 2018-10-09 01:17:46 UTC
gnome-software-3.28.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-327b1ddb05

Comment 10 Fedora Update System 2018-10-09 02:30:06 UTC
gnome-software-3.28.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-55e6403eab

Comment 11 Fedora Update System 2018-10-10 21:54:41 UTC
gnome-software-3.28.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-12 03:31:52 UTC
gnome-software-3.28.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2d222fe5c

Comment 13 Fedora Update System 2018-10-12 21:28:06 UTC
gnome-software-3.28.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2d222fe5c

Comment 14 Fedora Update System 2018-10-20 23:51:36 UTC
gnome-software-3.28.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.